# Welcome to Swarms Docs Home

[![Join our Discord](https://img.shields.io/badge/Discord-Join%20our%20server-5865F2?style=for-the-badge&logo=discord&logoColor=white)](https://discord.gg/agora-999382051935506503) [![Subscribe on YouTube](https://img.shields.io/badge/YouTube-Subscribe-red?style=for-the-badge&logo=youtube&logoColor=white)](https://www.youtube.com/@kyegomez3242) [![Connect on LinkedIn](https://img.shields.io/badge/LinkedIn-Connect-blue?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/kye-g-38759a207/) [![Follow on X.com](https://img.shields.io/badge/X.com-Follow-1DA1F2?style=for-the-badge&logo=x&logoColor=white)](https://x.com/kyegomezb)


**Get Started Building Production-Grade Multi-Agent Applications**

## Onboarding

| Section              | Links                                                                                      |
|----------------------|--------------------------------------------------------------------------------------------|
| Installation    | [Installation](https://docs.swarms.world/en/latest/swarms/install/install/)                                                            |
| Quickstart | [Get Started](https://docs.swarms.world/en/latest/swarms/install/quickstart/)                                                 |
| Agent Internal Mechanisms | [Agent Architecture](https://docs.swarms.world/en/latest/swarms/framework/agents_explained/)                                                 |
| Agent API | [Agent API](https://docs.swarms.world/en/latest/swarms/structs/agent/)                                                 |
| Integrating External Agents Griptape, Autogen, etc | [Integrating External APIs](https://docs.swarms.world/en/latest/swarms/agents/external_party_agents/)                                                 |
| Creating Agents from YAML | [Creating Agents from YAML](https://docs.swarms.world/en/latest/swarms/agents/create_agents_yaml/)                                                 |
| Why You Need Swarms | [Why MultiAgent Collaboration is Necessary](https://docs.swarms.world/en/latest/swarms/concept/why/)                                                 |
| Swarm Architectures Analysis | [Swarm Architectures](https://docs.swarms.world/en/latest/swarms/concept/swarm_architectures/)                                                 |
| Choosing the Right Swarm for Your Business Problem¶ | [CLICK HERE](https://docs.swarms.world/en/latest/swarms/concept/swarm_architectures/)                                                 |
| AgentRearrange Docs| [CLICK HERE](https://docs.swarms.world/en/latest/swarms/structs/agent_rearrange/)                                                 |


## Ecosystem

Here you'll find references about the Swarms framework, marketplace, community, and more to enable you to build your multi-agent applications.

| Section              | Links                                                                                      |
|----------------------|--------------------------------------------------------------------------------------------|
| Swarms Python Framework Docs     | [Framework Docs](https://docs.swarms.world/en/latest/swarms/install/install/)                                                            |
| Swarms Marketplace API Docs   | [Swarms Marketplace](https://docs.swarms.world/en/latest/swarms_platform/)                                                 |
| Swarms Cloud Docs       | [Swarms Cloud](https://docs.swarms.world/en/latest/swarms_cloud/main/)                                             |
| Swarms Models      | [Swarms Models](https://docs.swarms.world/en/latest/swarms/models/)  |
| Swarms Memory      | [Swarms Memory](https://docs.swarms.world/en/latest/swarms_memory/)  |
| Swarms Corp Github Profile     | [Swarms Corp GitHub](https://github.com/The-Swarm-Corporation)                      |
| Swarms Platform/Marketplace Frontend Github      | [Swarms Platform GitHub](https://github.com/kyegomez/swarms-platform)                      |


## Community
| Section              | Links                                                                                      |
|----------------------|--------------------------------------------------------------------------------------------|
| Community            | [Discord](https://discord.com/servers/agora-999382051935506503)                            |
| Blog                 | [Blog](https://medium.com/@kyeg)                                                           |
| Event Calendar       | [LUMA](https://lu.ma/swarms_calendar)                                                       |
| Twitter     | [Twitter](https://x.com/swarms_corp)                                                       |
| Agent Marketplace     | [Website](https://swarms.xyz)                                                       |
| Docs     | [Website](https://docs.swarms.world)                                                       |


## Get Support

Want to get in touch with the Swarms team? Open an issue on [GitHub](https://github.com/kyegomez/swarms/issues/new) or reach out to us via [email](mailto:kye@swarms.world). We're here to help!
